# Module type Core_hashtbl_intf.Hashtbl.S

    module type S = Core_hashtbl_intf.S          with type ('a, 'b) hashtbl = ('a, 'b) t

    type key

    type ('a, 'b) hashtbl

    type 'b t = (key, 'b) hashtbl

    type ('a, 'b) t_ = 'b t

    type 'a key_ = key

    val hashable : key Core_hashtbl_intf.Hashable.t

    include Core_hashtbl_intf.Creators

    include Core_hashtbl_intf.Accessors

    val t_of_sexp : (Sexplib.Sexp.t -> 'b) -> Sexplib.Sexp.t -> 'b t

    val sexp_of_t : ('b -> Sexplib.Sexp.t) -> 'b t -> Sexplib.Sexp.t